.TH wxScrollBar 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxScrollBar \- See external documentation: wxScrollBar\&.
.SH DESCRIPTION
.LP
See external documentation: wxScrollBar <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxScrollBar()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxScrollBar()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbarwxscrollbar>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxScrollBar()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxScrollBar()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbarwxscrollbar>\&.
.RE
.LP
.B
create(This::wxScrollBar(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxScrollBar(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbarcreate>\&.
.RE
.LP
.B
getRange(This::wxScrollBar()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbargetrange>\&.
.RE
.LP
.B
getPageSize(This::wxScrollBar()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbargetpagesize>\&.
.RE
.LP
.B
getThumbPosition(This::wxScrollBar()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbargetthumbposition>\&.
.RE
.LP
.B
getThumbSize(This::wxScrollBar()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbargetthumbsize>\&.
.RE
.LP
.B
setThumbPosition(This::wxScrollBar(), ViewStart::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbarsetthumbposition>\&.
.RE
.LP
.B
setScrollbar(This::wxScrollBar(), Position::integer(), ThumbSize::integer(), Range::integer(), PageSize::integer()) -> ok
.br
.RS
.LP
Equivalent to setScrollbar(This, Position, ThumbSize, Range, PageSize, [])\&.
.RE
.LP
.B
setScrollbar(This::wxScrollBar(), Position::integer(), ThumbSize::integer(), Range::integer(), PageSize::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {refresh, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrollbar\&.html#wxscrollbarsetscrollbar>\&.
.RE
.LP
.B
destroy(This::wxScrollBar()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
